Git Push
- PATCH
- /workspaces
- /:workspace
- /projects
- /:project_name
- /pipelines
- /:pipeline_id
- /actions
- /:action_id
Update Git Push action configuration
Warning
You can't change the type of an existing action. To change the type, remove the action and add it again.
Request example
curl -X PATCH "https://api.buddy.works/workspaces/:workspace/projects/:project_name/pipelines/:pipeline_id/actions/:action_id" \
-H "Authorization: Bearer <YOUR-TOKEN>" \
-H "Content-Type: application/json" \
-d '{
"name": "Push to GitHub repo",
"disabled": true,
"type": "PUSH",
"trigger_time": "ON_EVERY_EXECUTION",
"trigger_conditions": [
{
"trigger_condition": "ON_CHANGE"
},
{
"trigger_condition": "HOUR",
"trigger_hours": [
8,
9,
10
],
"timezone": "Europe/Warsaw"
}
],
"deployment_excludes": [
"/assets/",
"/myDir"
],
"targets": [
{
"identifier": "git-push",
"name": "my-git-target",
"type": "GIT",
"auth": {
"username": "user",
"password": "pass1234",
"method": "HTTP"
},
"repository": "https://github.com/example/my-repository"
}
],
"target_branch": "BUDDY_EXECUTION_BRANCH",
"tag": "tagName",
"custom_options": "--no-verify",
"comment": "BUDDY_RUN_ID",
"isolated": false,
"push_tags": true,
"use_custom_gitignore": true,
"without_force": false,
"timeout": 1800,
"retry_interval": 60,
"retry_count": 5,
"ignore_errors": true,
"current_revision": "21825f31ddce8a89b3ed9f4c92f038b339cde150"
}'STATUS200 OK